com.opensymphony.xwork2.validator.validators

## Class IntRangeFieldValidator

- java.lang.Object
- - com.opensymphony.xwork2.validator.validators.ValidatorSupport
  - - com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
    - - com.opensymphony.xwork2.validator.validators.RangeValidatorSupport<Integer>
      - - com.opensymphony.xwork2.validator.validators.IntRangeFieldValidator

- All Implemented Interfaces:
    FieldValidator, ShortCircuitableValidator, Validator

      public final class IntRangeFieldValidator
      extends RangeValidatorSupport<Integer>

  Field Validator that checks if the integer specified is within a certain range.
  - fieldName - The field name this validator is validating. Required if using Plain-Validator Syntax otherwise not required
  - min - the minimum value (if none is specified, it will not be checked)
  - max - the maximum value (if none is specified, it will not be checked)
  - parse - if set to true, minExpression and maxExpression will be evaluated to find min/max
  - minExpression - expression to calculate the minimum value (if none is specified, it will not be checked)
  - maxExpression - expression to calculate the maximum value (if none is specified, it will not be checked)
  You can either use the min / max value or minExpression / maxExpression (when parse is set to true) - using expression can be slightly slower, see the example below. Do not use ${minExpression} and ${maxExpression} as an expression as this will turn into infinitive loop!

       <validators>
            <!-- Plain Validator Syntax -->
            <validator type="int">
                <param name="fieldName">age</param>
                <param name="min">20</param>
                <param name="max">50</param>
                <message>Age needs to be between ${min} and ${max}</message>
            </validator>

            <!-- Field Validator Syntax -->
            <field name="age">
                <field-validator type="int">
                    <param name="min">20</param>
                    <param name="max">50</param>
                    <message>Age needs to be between ${min} and ${max}</message>
                </field-validator>
            </field>

            <!-- Field Validator Syntax with expression -->
            <field name="age">
                <field-validator type="int">
                    <param name="minExpression">${minValue}</param> <!-- will be evaluated as: Integer getMinValue() -->
                    <param name="maxExpression">${maxValue}</param> <!-- will be evaluated as: Integer getMaxValue() -->
                    <message>Age needs to be between ${min} and ${max}</message>
                </field-validator>
            </field>
       </validators>

  Version:
    $Date$ $Id$
  Author:
    Jason Carreira

- - ### Field Summary

    - ### Fields inherited from class com.opensymphony.xwork2.validator.validators.FieldValidatorSupport

      `currentValue, fieldName`

    - ### Fields inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport

      `defaultMessage, EMPTY_STRING, messageKey, stack, textProviderFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntRangeFieldValidator()`

  - ### Method Summary

    - ### Methods inherited from class com.opensymphony.xwork2.validator.validators.RangeValidatorSupport

      `getMax, getMin, getT, setMax, setMaxExpression, setMin, setMinExpression, validate, validateValue`

    - ### Methods inherited from class com.opensymphony.xwork2.validator.validators.FieldValidatorSupport

      `getCurrentValue, getFieldName, getValidatorType, setFieldName, setValidatorType`

    - ### Methods inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport

      `addActionError, addFieldError, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getMessageParameters, getValidatorContext, isShortCircuit, parse, setDefaultMessage, setMessageKey, setMessageParameters, setShortCircuit, setTextProviderFactory, setValidatorContext, setValueStack`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opensymphony.xwork2.validator.Validator

      `getDefaultMessage, getMessage, getMessageKey, getMessageParameters, getValidatorContext, setDefaultMessage, setMessageKey, setMessageParameters, setValidatorContext, setValueStack`

- - ### Constructor Detail

    - #### IntRangeFieldValidator

          public IntRangeFieldValidator()

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.